Last modified: 2012-06-10 09:31:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36873 - migrate mwmultiversion to git
migrate mwmultiversion to git
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 22596 36874
  Show dependency treegraph
 
Reported: 2012-05-15 20:39 UTC by Antoine "hashar" Musso (WMF)
Modified: 2012-06-10 09:31 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antoine "hashar" Musso (WMF) 2012-05-15 20:39:28 UTC
The mwmultiversion tool is still hosted in subversion. The beta project requires it to be migrated to git so we can make it a submodule of operations/mediawiki-config.

svn checkout https://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/mwmultiversion/multiversion
Comment 1 Chad H. 2012-05-16 15:28:35 UTC
Do we need the history here...or is a copy+paste fine?
Comment 2 Antoine "hashar" Musso (WMF) 2012-05-17 04:47:20 UTC
I would prefer we keep history whenever we can. Cant we reuse the svn to git migration tools available on formey?  Else, I would do it using 'git svn' and some post processing of email addresses.
Comment 3 Chad H. 2012-05-20 17:14:28 UTC
Yes, we can use those tools. Just needed to know :)
Comment 4 Chad H. 2012-05-20 17:14:47 UTC
What should the new repo's name be?
Comment 5 Antoine "hashar" Musso (WMF) 2012-05-21 09:26:59 UTC
I am not sure where to put it, most probably in `operations` since that is used to maintain WMF cluster but then the ops might complain about us cluttering their namespace.

operations/mediawiki/mutiversion ?
operations/mediawiki/hetdeploy
Comment 6 Chad H. 2012-06-07 18:37:20 UTC
Created operations/mediawiki-multiversion today. Same permissions as operations/mediawiki-config

https://gerrit.wikimedia.org/r/gitweb?p=operations/mediawiki-multiversion.git
Comment 7 Antoine "hashar" Musso (WMF) 2012-06-09 22:16:02 UTC
Thanks Chad :-]

What about the old subversion repository? It is still accessible / readable which might be confusing. I would expect the Subversion repo to be deleted by the migration.

I did try to delete it, leaving a simple README file, but I have been denied access:

 $ svn commit
 Sending        mwmultiversion/README
 Deleting       mwmultiversion/multiversion
 Transmitting file data .svn: Commit failed (details follow):
 svn: Access denied
 svn: Your commit message was left in a temporary file:
 svn:    'svn-commit.tmp'
 $

URL of repo: svn+ssh://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/mwmultiversion
Comment 8 Sam Reed (reedy) 2012-06-09 22:47:03 UTC
(In reply to comment #7)
> Thanks Chad :-]
> 
> What about the old subversion repository? It is still accessible / readable
> which might be confusing. I would expect the Subversion repo to be deleted by
> the migration.
> 
> I did try to delete it, leaving a simple README file, but I have been denied
> access:
> 
>  $ svn commit
>  Sending        mwmultiversion/README
>  Deleting       mwmultiversion/multiversion
>  Transmitting file data .svn: Commit failed (details follow):
>  svn: Access denied
>  svn: Your commit message was left in a temporary file:
>  svn:    'svn-commit.tmp'
>  $
> 
> URL of repo:
> svn+ssh://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/mwmultiversion

We haven't deleted any other repository..
Comment 9 Antoine "hashar" Musso (WMF) 2012-06-10 09:31:08 UTC
So I am again marking this bug resolved :-]

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links